Bug 1737909 - bdii depends on Python 2
Summary: bdii depends on Python 2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bdii
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mattias Ellert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31_PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2019-08-06 11:30 UTC by Lumír Balhar
Modified: 2019-10-04 23:06 UTC (History)
4 users (show)

Fixed In Version: bdii-5.2.25-5.fc32 bdii-5.2.25-5.fc31 bdii-5.2.25-5.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-19 10:15:16 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github EGI-Foundation bdii issues 13 None None None 2019-08-09 12:29:38 UTC

Description Lumír Balhar 2019-08-06 11:30:58 UTC
Python 2.7 will reach end-of-life in January 2020, over 9 years after it was released. This falls within the Fedora 31 lifetime.
Packages that depend on Python 2 are being switched to Python 3 or removed from Fedora: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages
Python 2 will be retired in Fedora 32: https://fedoraproject.org/wiki/Changes/RetirePython2

To help planning, we'd like to know the plans for bdii's future. Specifically:


- What is the reason for the Python2 dependency? (Is it software written in Python, or does it just provide Python bindings, or use Python in the build system or test runner?) 

- What are the upstream/community plans/timelines regarding Python 3?

- What is the guidance for porting to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)


This bug is filed semi-automatically, and might not have all the context specific to bdii.
If you need anything from us, or something is unclear, please mention it here.

Thank you.

Comment 1 Mattias Ellert 2019-08-09 12:29:39 UTC
Forwarded upstream: https://github.com/EGI-Foundation/bdii/issues/13

Comment 2 Ben Cotton 2019-08-13 17:19:10 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 3 Lumír Balhar 2019-08-19 11:33:40 UTC
The current plan is to remove packages with dependency on Python 2 from Fedora 32 in the middle of November 2019. If you want to keep your package in Fedora after that date and you cannot port it to Python 3 yet, you need to request a FESCo exception for the package and all its Python 2 dependencies (even transitive) [1]. If you don't want to maintain it anymore, please orphan the package.

If you're considering filing the exception request, let us know. We can help (for example, we can help find all the dependencies).

[1] https://fedoraproject.org/wiki/Changes/RetirePython2#FESCo_exceptions

Comment 4 Laurence Field 2019-09-13 10:22:43 UTC
A pull request has been made upstream to address this issue. 

https://github.com/EGI-Foundation/bdii/pull/15

Comment 5 Fedora Update System 2019-09-19 04:37:27 UTC
FEDORA-EPEL-2019-47bca3e25f has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-47bca3e25f

Comment 6 Fedora Update System 2019-09-19 04:38:32 UTC
FEDORA-2019-ff44410c2f has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ff44410c2f

Comment 7 Miro Hrončok 2019-09-19 10:15:16 UTC
Thanks.

Comment 8 Fedora Update System 2019-09-20 02:56:23 UTC
bdii-5.2.25-5.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ff44410c2f

Comment 9 Fedora Update System 2019-09-20 03:44:30 UTC
bdii-5.2.25-5.el8, glue-schema-2.0.11-8.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-47bca3e25f

Comment 10 Fedora Update System 2019-09-28 00:02:13 UTC
bdii-5.2.25-5.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2019-10-04 23:06:19 UTC
bdii-5.2.25-5.el8, glue-schema-2.0.11-8.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.